=== debian/control ===
Source: ros-one-jsk-network-tools
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-message-generation, ros-one-roscpp, ros-one-rospy, ros-one-rostest, ros-one-sensor-msgs, ros-one-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-jsk-network-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-message-runtime, ros-one-roscpp, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs
Description: jsk_network_tools
