## ros-one-jsk-network-tools 2.2.16-15jammy.20260106.2102

=== debian/changelog ===
ros-one-jsk-network-tools (2.2.16-15jammy.20260106.2102) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:02:44 +0000
