## ros-one-jsk-network-tools 2.2.16-15jammy.20260220.2359

=== debian/changelog ===
ros-one-jsk-network-tools (2.2.16-15jammy.20260220.2359) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 20 Feb 2026 23:59:11 +0000
