## ros-one-jsk-network-tools 2.2.16-15noble.20260106.2109

=== debian/changelog ===
ros-one-jsk-network-tools (2.2.16-15noble.20260106.2109) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:09:22 +0000
